package com.yunzhi.marketing.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaBuildingIntention;
import com.yunzhi.marketing.entity.TdBizEvent;

import java.util.List;

/**
 * <p>
 * 项目意向表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
public interface ITaBuildingIntentionService extends IService<TaBuildingIntention> {

    /**
     * 添加或者修改
     * @param tdBizEventsList
     * @return
     */
    ResponseBean taBuildingIntentionAddOrUpdate(List<TdBizEvent> tdBizEventsList, String buildingId, Integer orgId);

    /**
     * 保存楼盘默认值
     * @param orgId
     * @param buildingId
     */
    void saveDefaultIntention(Integer orgId, String buildingId);
}
